/*
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
*/

/*
  begin:     Don Nov 21 2002
  copyright: (C) 2002 by Dario Abatianni
  email:     eisfuchs@tigress.com
*/

#ifndef TOPICCOMBOBOX_H
#define TOPICCOMBOBOX_H

#include <kcombobox.h>


class TopicComboBox : public KComboBox
{
    TQ_OBJECT
  

    public:
        explicit TopicComboBox(TQWidget* parent);
        ~TopicComboBox();
        void insertStringList(const TQStringList& list);

    protected:
        void wheelEvent(TQWheelEvent *ev);

        signals:
        void topicChanged(const TQString& newTopic);

    protected slots:
        void topicActivated(const TQString& newTopic);
        void topicActivated(int index);
};
#endif
